Package org.eclipse.rdf4j.federated.endpoint

## Class ResolvableEndpoint

- java.lang.Object
- - org.eclipse.rdf4j.federated.endpoint.EndpointBase
  - - org.eclipse.rdf4j.federated.endpoint.ResolvableEndpoint

- All Implemented Interfaces:
    `Endpoint`

      public class ResolvableEndpoint
      extends EndpointBase

  A specialized `Endpoint` that allows to resolve the repository using a `RepositoryResolver`.

  The Repository lifecycle is assumed to be managed externally.

  Author:
    Andreas Schwarte

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.federated.endpoint.EndpointBase

      `EndpointBase.ManagedRepositoryConnection`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected RepositoryResolver` | `repositoryResolver` |

    - ### Fields inherited from class org.eclipse.rdf4j.federated.endpoint.EndpointBase

      `endpoint, endpointClassification, endpointConfiguration, initialized, log, repoInfo, tripleSource, writable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResolvableEndpoint​(RepositoryInformation repoInfo, String endpoint, EndpointClassification endpointClassification)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Repository` | `getRepository()` |
    `void` | `setRepositoryResolver​(RepositoryResolver repositoryResolver)` |

    - ### Methods inherited from class org.eclipse.rdf4j.federated.endpoint.EndpointBase

      `equals, getConnection, getEndpoint, getEndpointClassification, getEndpointConfiguration, getFreshConnection, getId, getName, getRepoInfo, getTripleSource, getType, hashCode, init, isInitialized, isLocal, isWritable, setEndpointClassification, setEndpointConfiguration, setWritable, shutDown, size, toString, useSingleConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### repositoryResolver

          protected RepositoryResolver repositoryResolver

  - ### Constructor Detail

    - #### ResolvableEndpoint

          public ResolvableEndpoint​(RepositoryInformation repoInfo,
                                    String endpoint,
                                    EndpointClassification endpointClassification)

  - ### Method Detail

    - #### getRepository

          public Repository getRepository()

      Returns:
        the initialized `Repository`

    - #### setRepositoryResolver

          public void setRepositoryResolver​(RepositoryResolver repositoryResolver)